## python-open-meteo 0.3.1

=== .github/workflows/requirements.txt ===
pip==23.3.1
poetry==1.7.0

=== debian/changelog ===
python-open-meteo (0.3.1-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Aug 2024 04:02:52 +0200

python-open-meteo (0.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1077613)

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Jul 2024 16:00:20 +0200

=== debian/control ===
Source: python-open-meteo
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-aresponses,
 python3-covdefaults,
 python3-coverage,
 python3-mashumaro,
 python3-mypy,
 python3-orjson,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-ruff,
 python3-syrupy,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-open-meteo
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-open-meteo.git
Homepage: https://github.com/frenck/python-open-meteo

Package: python3-open-meteo
Architecture: all
Depends:
 python3-aiohttp,
 python3-mashumaro,
 python3-orjson,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous client for the Open-Meteo API
 Open-Meteo offers free weather forecast APIs for open-source developers and
 non-commercial use. No API key is required. You can start using it immediately!
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/frenck/python-open-meteo.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/open-meteo/open-meteo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-open-meteo 0.4.0

=== .github/workflows/requirements.txt ===
pip==25.2
poetry==2.2.0

=== debian/changelog ===
python-open-meteo (0.4.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1123708)
  * Add my name to uploaders and copyright.
  * Update debhelper compat level to 13.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 21 Jan 2026 23:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
@@ -25,7 +26,7 @@
  python3-pytest-cov,
  python3-ruff,
  python3-syrupy,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-open-meteo
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-open-meteo.git
 Homepage: https://github.com/frenck/python-open-meteo

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild --with python3
-
-
-

=== debian/watch ===
Version: 5

Template: Pypi
Dist: open-meteo
